<!-- Network Security Dialog -->
<div class="gtkdialog" id="networkSecurityDialog">
	<div class="gtkdialog-window large">
		<div class="titlebar grouped">
			<div class="button-group float-left">
				<a class="button image-button" onclick="$('#networkSecurityDialog').hide();$('#wifiNetworkSettingsDialog').show();">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			</div>
			<div class="title-group">
				<span class="title">Network Security Settings</span>
			</div>
			<div class="button-group float-right">
				{%- include components/close-button.html close = "gtkdialog" -%}
			</div>
		</div>
		<div class="gtkdialog-content">
			<!-- Row -->
			<div id="myWifiNetworkSecurity" class="row">
				<ul class="listrow">
					<li id="wifiSecurityPopover">
						<label>Security</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="wifiSecurityTypeStatus">WPA & WPA2 Personal</label>
					</li>
					<li id="wifiSecurityAuthentication">
						<label>Authentication</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="wifiSecurityAuthenticationStatus">TLS</label>
					</li>
					<li id="wifiSecurityKey">
						<label>Key</label>
						<input type="entry" name="" value="" class="float-right text-right">
					</li>
					<li id="wifiSecurityCerts">
						<label>CA Certificate</label>
						{%- include components/switch.html float = "right" checked = "" id = "wifiSecurityCACertSwitch" -%}
					</li>
					<li id="wifiSecurityUserCert" class="hidden">
						<label>User Certificate</label>
						<a class="button text-button float-right">(None)</a>
					</li>
					<li id="wifiSecurityCACert" class="hidden">
						<label>CA Certificate</label>
						<a class="button text-button float-right">(None)</a>
					</li>
					<li id="wifiSecurityIdentity">
						<label>Identity</label>
						<input type="entry" name="" value="" class="float-right text-right">
					</li>
					<li id="wifiSecurityPrivateKey">
						<label>Key</label>
						<a class="button text-button float-right">(None)</a>
					</li>
					<li id="wifiSecurityPrivateKeyPassword">
						<label>Key password</label>
						<input type="entry" name="" value="" class="float-right text-right">
					</li>
					<li id="wifiSecurityUsername">
						<label>Username</label>
						<input type="entry" name="" value="" class="float-right text-right">
					</li>
					<li id="wifiSecurityPassword">
						<label>Password</label>
						<div data-toggle="collapse" data-target="#showPassword" class="dropdown button image-button flat float-right" id="revealPassword" onclick="$('#revealPassword > .symbolic:nth-child(1)').toggle();$('#revealPassword > .symbolic:nth-child(2)').toggle();">{%- include symbolic/actions/view-reveal-symbolic.svg -%}{%- include symbolic/actions/view-conceal-symbolic.svg -%}</div>
						<label class="float-right dim-label">&bull;&bull;&bull;&bull;&bull;&bull;&bull;&bull;</label>
					</li>
					<div id="showPassword" class="collapse" aria-expanded="false">
						<ul class="listrow borderless text-center">
							<li>
								<!-- <label class="bold-label monospace">GoBU8hpQ3hH</label> -->
								<input type="text" class="entry full-width" value="GoBU8hpQ3hH" name="">
							</li>
						</ul>
					</div>
				</ul>
				<div id="wifiSecurityNoneWarning" class="dim-label" style="margin: 6px auto;"><div class="icon s16 symbolic">{%- include symbolic/status/dialog-warning-symbolic.svg -%}</div> Connecting to a Wi-Fi network without security is not recommended.</div>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
// fill popover use &apos; to quote escape
$(document).ready(function() {
	var label = "";
	var popoverContent = ['<ul>',
			'<li onclick="popoverWifiSecurity($(this).text());popoverWifiSecurityNone();">None</li>',
			'<li onclick="popoverWifiSecurity($(this).text());popoverWifiSecurityWEP40();">WEP 40/128-bit key</li>',
			'<li onclick="popoverWifiSecurity($(this).text());popoverWifiSecurityWEP128();">WEP 128-bit passphrase</li>',
			'<li onclick="popoverWifiSecurity($(this).text());popoverWifiSecurityLEAP();">LEAP</li>',
			'<li onclick="popoverWifiSecurity($(this).text());popoverWifiSecurityDynWEP();">Dynamic WEP (802.1x)</li>',
			'<li onclick="popoverWifiSecurity($(this).text());popoverWifiSecurityWPA2();">WPA & WPA2 Personal</li>',
			'<li onclick="popoverWifiSecurity($(this).text());popoverWifiSecurityWPA2E();">WPA & WPA2 Enterprise</li>',
		'</ul>'].join('');

	$("#wifiSecurityPopover").popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

$('#revealPassword > .symbolic:nth-child(2)').hide();
$('#revealHotSpotPassword > .symbolic:nth-child(2)').hide();

function popoverWifiSecurity() {
	$('#wifiSecurityTypeStatus').text(arguments[0]);
	$("#wifiSecurityPopover").popover("hide");
}

function popoverWifiSecurityNone() {
	$("#wifiSecurityAuthentication").hide();
	$("#wifiSecurityNoneWarning").show();
	$("#wifiSecurityKey").hide();
	$("#wifiSecurityIdentity").hide();
	$("#wifiSecurityPrivateKey").hide();
	$("#wifiSecurityPrivateKeyPassword").hide();
	$("#wifiSecurityCerts").hide();
	$("#wifiSecurityUsername").hide();
	$("#wifiSecurityPassword").hide();
}

function popoverWifiSecurityWEP40() {
	$("#wifiSecurityAuthentication").show();
	$("#wifiSecurityKey").show();
	$("#wifiSecurityIdentity").hide();
	$("#wifiSecurityPrivateKey").hide();
	$("#wifiSecurityPrivateKeyPassword").hide();
	$("#wifiSecurityCerts").hide();
	$("#wifiSecurityUsername").hide();
	$("#wifiSecurityPassword").hide();
}

function popoverWifiSecurityWEP128() {
	$("#wifiSecurityAuthentication").hide();
	$("#wifiSecurityKey").hide();
	$("#wifiSecurityIdentity").hide();
	$("#wifiSecurityPrivateKey").hide();
	$("#wifiSecurityPrivateKeyPassword").hide();
	$("#wifiSecurityCerts").hide();
	$("#wifiSecurityUsername").show();
	$("#wifiSecurityPassword").show();
}

function popoverWifiSecurityLEAP() {
	$("#wifiSecurityAuthentication").hide();
	$("#wifiSecurityKey").hide();
	$("#wifiSecurityIdentity").hide();
	$("#wifiSecurityPrivateKey").hide();
	$("#wifiSecurityPrivateKeyPassword").hide();
	$("#wifiSecurityCerts").hide();
	$("#wifiSecurityUsername").show();
	$("#wifiSecurityPassword").show();
}

function popoverWifiSecurityDynWEP() {
	$("#wifiSecurityAuthentication").show();
	$("#wifiSecurityKey").hide();
	$("#wifiSecurityIdentity").show();
	$("#wifiSecurityPrivateKey").hide();
	$("#wifiSecurityPrivateKeyPassword").hide();
	$("#wifiSecurityCerts").show();
	$("#wifiSecurityUsername").show();
	$("#wifiSecurityPassword").show();
}

function popoverWifiSecurityWPA2() {
	$("#wifiSecurityAuthentication").hide();
	$("#wifiSecurityKey").hide();
	$("#wifiSecurityIdentity").hide();
	$("#wifiSecurityPrivateKey").hide();
	$("#wifiSecurityPrivateKeyPassword").hide();
	$("#wifiSecurityCerts").hide();
	$("#wifiSecurityUsername").hide();
	$("#wifiSecurityPassword").show();
}

function popoverWifiSecurityWPA2E() {
	$("#wifiSecurityAuthentication").show();
	$("#wifiSecurityKey").hide();
	$("#wifiSecurityIdentity").show();
	$("#wifiSecurityPrivateKey").hide();
	$("#wifiSecurityPrivateKeyPassword").hide();
	$("#wifiSecurityCerts").show();
	$("#wifiSecurityUsername").show();
	$("#wifiSecurityPassword").show();
}

$("#wifiSecurityAuthentication").hide();
$("#wifiSecurityNoneWarning").hide();
$("#wifiSecurityKey").hide();
$("#wifiSecurityIdentity").hide();
$("#wifiSecurityPrivateKey").hide();
$("#wifiSecurityPrivateKeyPassword").hide();
$("#wifiSecurityCerts").hide();
$("#wifiSecurityUsername").hide();

// cert toggle
$(document).ready(function(){
	$('#wifiSecurityCACertSwitch').change(function(){
		if($(this).is(":checked")) {
			$('#wifiSecurityUserCert').removeClass('hidden');
			$('#wifiSecurityCACert').removeClass('hidden');
		} else {
			$('#wifiSecurityUserCert').addClass('hidden');
			$('#wifiSecurityCACert').addClass('hidden');
		}
	});
});

</script>